Name: blackbox
Version: 0.65.0
Release: alt1.2

Packager: Sergey Vlasov <vsu@altlinux.ru>

Summary: A Window Manager for the X Window System
License: BSD-style
Group: Graphical desktop/Other
Url: http://blackboxwm.sourceforge.net/

Source: http://prdownloads.sf.net/blackboxwm/%name-%version.tar.bz2
Source1: %name.menu-method
Source2: %name.menu
Source3: %name.xpm
Source4: %name-32.xpm
Source5: BlackBox.xpm
Source6: %name.wmsession
Source7: %name-gencat-wrapper
Source8: %name.alternatives

Patch1: %name-0.65.0-alt-exitbutton.patch
Patch3: %name-0.61.1-default-style.patch
Patch4: %name-0.65.0-alt-fonts.patch
Patch5: %name-0.65.0-alt-addnls.patch
Patch6: %name-0.65.0-alt-localename.patch
Patch7: %name-0.65.0-alt-multibyte.patch

PreReq: alternatives >= 0.0.6

# Automatically added by buildreq on Tue Mar 25 2003
BuildRequires: XFree86-devel-static gcc-c++ libalternatives-devel libstdc++-devel

%description
This is a window manager for X.  It is similar in many respects to
such popular packages as Window Maker, Enlightenment, and FVWM2.  You
might be interested in this package if you are tired of window managers
that are a heavy drain on your system resources, but you still want
an attractive and modern-looking interface.

The best part of all is that this program is coded in C++, so it
is even more attractive "under the hood" than it is in service -- no
small feat.

If none of this sounds familiar to you, or you want your computer to
look like Windows 98, you probably don't want this package.

%prep
%setup -q
%patch1 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

pushd nls
for enc in KOI8-R CP1251 UTF-8; do
	mkdir ru_RU.$enc
	pushd ru_RU
	for f in *; do
		iconv -f KOI8-R -t $enc <"$f" >../ru_RU.$enc/"$f"
	done
	popd
	%__subst "s/ru_RU/ru_RU.$enc/" ru_RU.$enc/*
done
%__subst 's/ru_RU/ru_RU.KOI8-R ru_RU.CP1251 ru_RU.UTF-8/' \
	Makefile*
popd

%__install -p %SOURCE7 ./gencat-wrapper

%build
export gencat_cmd="`pwd`/gencat-wrapper"
autoconf
%configure \
	--prefix=%_x11dir \
	--bindir=\${prefix}/bin \
	--mandir=\${prefix}/man \
	--datadir=\${prefix}/share \
	--libexecdir=\${prefix}/lib/X11 \
	--sysconfdir=%_sysconfdir/X11/%name \
	--enable-kde \
	--enable-nls

%make_build DEFAULT_MENU=%_sysconfdir/X11/%name/%name-menu

%install
mkdir -p $RPM_BUILD_ROOT%_x11dir
%make_install install DESTDIR=$RPM_BUILD_ROOT

mv $RPM_BUILD_ROOT%_x11bindir/bsetbg   $RPM_BUILD_ROOT%_x11bindir/bsetbg-%name
mv $RPM_BUILD_ROOT%_x11bindir/bsetroot $RPM_BUILD_ROOT%_x11bindir/bsetroot-%name
mv $RPM_BUILD_ROOT%_x11mandir/man1/bsetbg.1 $RPM_BUILD_ROOT%_x11mandir/man1/bsetbg-%name.1
mv $RPM_BUILD_ROOT%_x11mandir/man1/bsetroot.1 $RPM_BUILD_ROOT%_x11mandir/man1/bsetroot-%name.1

install -pD -m755 %SOURCE1 $RPM_BUILD_ROOT%_sysconfdir/menu-methods/%name
install -pD -m644 %SOURCE2 $RPM_BUILD_ROOT%_menudir/%name
install -pD -m644 %SOURCE3 $RPM_BUILD_ROOT%_miconsdir/%name.xpm
install -pD -m644 %SOURCE4 $RPM_BUILD_ROOT%_iconsdir/%name.xpm
install -p -m644 %SOURCE5 $RPM_BUILD_ROOT%_iconsdir/
install -pD -m644 %SOURCE6 $RPM_BUILD_ROOT%_sysconfdir/X11/wmsession.d/07%name
install -pD -m644 %SOURCE8 $RPM_BUILD_ROOT%_altdir/%name

%post
%update_menus
%update_wms
%register_alternatives %name -- bsetbg bsetbg.1.gz bsetroot bsetroot.1.gz

%preun
%unregister_alternatives %name

%postun
%clean_menus
%clean_wms

%files
%_libdir/menu/*
%config(noreplace) %_sysconfdir/menu-methods/*
%config %_sysconfdir/X11/wmsession.d/*
%_altdir/%name
%_x11bindir/*
%_x11datadir/%name
%_x11mandir/man?/*
%_iconsdir/*.xpm
%_iconsdir/*/*.xpm

%changelog
* Wed Apr 09 2003 Stanislav Ievlev <inger@altlinux.ru> 0.65.0-alt1.2
- new alternatives config format

* Tue Mar 25 2003 Stanislav Ievlev <inger@altlinux.ru> 0.65.0-alt1.1
- move to new alternatives scheme

* Mon Oct 21 2002 Sergey Vlasov <vsu@altlinux.ru> 0.65.0-alt1
- Version 0.65.0.
- Dropped obsolete patches.
- Updated exitbutton, fonts, localename patches.
- Build extra encodings for ru_RU.* locales on the fly.
- Added the gencat-wrapper hack to set LC_CTYPE for gencat.
- Patch to treat all locales except C as multibyte (fixes problem with font
  encoding not matching the current charset).
- Updated URLs.
- Fixed license specification (BSD-style, not GPL).

* Thu May 09 2002 Anton Denisov <antden@mail.ru> 0.62.0-alt7
- bset{bg,root} moved to bset{bg,root}-%name and update-alternative'ed
  (to syns with fluxbox package).
  TODO (AEN or I ?):
  - Patch{0,2} remove (out of date);
  - Source{3,4,5} modify and put into tar.bz2;
  - Patch5 fix (add more locales);
  - %doc add.

* Mon Apr 22 2002 AEN <aen@logic.ru> 0.62.0-alt6
- menu fixed

* Wed Jan 29 2002 AEN <aen@logic.ru> 0.62.0-alt5
- locale name fixed

* Mon Jan 28 2002 AEN <aen@logic.ru> 0.62.0-alt4
- nls patch 

* Thu Jan 24 2002 AEN <aen@logic.ru> 0.62.0-alt3
- Styles menu fixed

* Mon Jan 21 2002 AEN <aen@logic.ru> 0.62.0-alt2
- patch 2 regenerated

* Mon Jan 21 2002 AEN <aen@logic.ru> 0.62.0-alt1
- patches 0,1,2  removed

* Fri Jan 11 2002 AEN <aen@logic.ru> 0.61.1-ipl5mdk
- s/Mandrake/ALTLinux/ in menu method

* Wed Jan 09 2002 Dmitry V. Levin <ldv@alt-linux.org> 0.61.1-ipl4mdk
- Updated wmsession.d and startup scripts.
- Relocated %_x11dir
- Minor specfile cleanup.

* Tue Dec 05 2000 AEN <aen@logic.ru>
- fonts patch

* Tue Nov 14 2000 David BAUDENS <baudens@mandrakesoft.com> 0.61.1-2mdk
- Fix some macros

* Tue Oct 17 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.61.1-1mdk
- Arrange menus entry to add Setting box.
- Set default style to Artwiz.
- Make blackbox like the old name blackbox and not BlackBox.
- Add debian translations.
- 0.61.1 (fix gcc2.96).

* Wed Sep 27 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.51.3.1-25mdk
- entry in /etc/X11/wmsession.d
- noreplace

* Mon Sep 25 2000 Daouda Lo <daouda@mandrakesoft.com> 0.51.3.1-24mdk
- add icons for menu system.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.51.3.1-23mdk
- automatically added BuildRequires

* Sun Jul 09 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 0.51.3.1-22mdk
- makeinstall macro
- macroszifications

* Sun May 21 2000 David BAUDENS <baudens@mandrakesoft.com> 0.51.3.1-21mdk
- Fix descriptions (RPM & menu)

* Fri Apr 28 2000 dam's <damien@mandrakesoft.com> 0.51.3.1-20mdk
- Added fndSession call.

* Wed Apr  5 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.51.3.1-19mdk
- Add an exit button just after mandrake menu.

* Tue Apr  4 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.51.3.1-18mdk
- i18n menu support.

* Mon Apr  3 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.51.3.1-17mdk
- Remove bbdrake stuff (dadou i have pity for you).
- Don't chmod 666 files.
- Add man pages from debian.
- Add i18n patch from debian (hint hint, traductors)
- Adjust groups.

* Mon Jan 03 2000 - David BAUDENS <baudens@mandrakesoft.com>
- 0.51.3.1-16mdk
- Fix typos

* Sat Jan 01 2000 - David BAUDENS <baudens@mandrakesoft.com>
- 0.51.3.1-15mdk
- Add kvideogen in BBDrake

* Tue Dec 28 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Add kdmconfig and kcontrol in BBDrake (thanks Arnold)

* Mon Dec 27 1999 - David BAUDENS <baudens@mandrakesoft.com>
- 0.51.3.1-13mdk
- Fix some typos
- Fix display version

* Mon Dec 20 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Fix display version

* Sun Dec 19 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Fix call at bbdrake_kde
- Add AnotherLevel in BBDrake

* Sat Dec 18 1999 - David BAUDENS <baudens@mandrakesoft.com>
- 0.51.3.1-10mdk
  - Replace "drakXconf" by "DrakConf"
- 0.51.3.1-9mdk
  - Cleanup BBDrake
  - Add a blank before "Exit"
  - Add "BlackBox/KDE" in "Desktop/Window Managers"
- 0.51.3.1-8mdk
  - Remove "Sutdown or restart"
  - Add BBDrake_KDE

* Fri Dec 17 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Add DrakXconf in BBDrake, remove XFDrake (call by DrakXcon)
- Change default theme

* Thu Dec 16 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Add a lot of apps in BBDrake
- Fix some typos in BBDrake
- Fix some problems when run as user

* Thu Dec 10 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Fix Group

* Wed Dec 09 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Build release

* Tue Dec 08 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Add some apps in bbdrake

* Fri Dec 04 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Initial bbdrake

* Fri Nov 20 1999 - David BAUDENS <baudens@mandrakesoft.com>
- First spec
